#include <stdio.h>
#include <stdlib.h>

typedef struct
{
  char ime[21];
  int ocena1;
  int ocena2;
  int ocena3;
  int ocena4;
  int ocena5;
  int ocena6;
  int ocena7;
  int ocena8;
  int ocena9;
}bla;

int main()
{
  FILE *f;
  int i,j,broj,prosek;
  
  f=fopen("ucenici.txt","r");
  
  if(f==NULL)
  {
    printf("-1");
    return 1;
  }
  
  fscanf(f,"%d",&broj);
  printf("%d",broj);
  bla ucenik[999];
  
  for(i=0; i<broj; i++)
  {
    fscanf(f,"%s%d%d%d%d%d%d%d%d%d", ucenik[i].ime,ucenik[i].ocena1,ucenik[i].ocena2,ucenik[i].ocena3,ucenik[i].ocena4,ucenik[i].ocena5,ucenik[i].ocena6,ucenik[i].ocena7,ucenik[i].ocena8,ucenik[i].ocena9);
    printf("NEDOVOLJNI: ");
    if(ucenik[i].ocena1==1 || ucenik[i].ocena2==1 || ucenik[i].ocena3==1 || ucenik[i].ocena4==1 || ucenik[i].ocena5==1 || ucenik[i].ocena6==1 || ucenik[i].ocena7==1 || ucenik[i].ocena8==1 || ucenik[i].ocena9==1)
    {
      printf( "%s",ucenik[i].ime);
    }
    
  }
  
}
